package org.netkernel.lang.dpml.ast.impl;

import org.netkernel.lang.dpml.ast.IArgument;
import org.netkernel.lang.dpml.ast.IVariable;

public class ArgumentImpl implements IArgument
{
	private final String mName;
	private final int mMethod;
	private final IVariable mVariable;
	
	public ArgumentImpl(String aName, int aMethod, IVariable aVariable)
	{	mName=aName;
		mMethod=aMethod;
		mVariable=aVariable;
	}

	public int getMethod()
	{	return mMethod;
	}

	public String getName()
	{	return mName;
	}

	public IVariable getVariable()
	{	return mVariable;
	}
}
